curl --compressed "https://api.coinmetrics.io/v4/catalog-v2/market-trades?pretty=true&api_key=<your_key>"{
"data": [
{
"market": "bibox-1inch-usdt-spot",
"min_time": "2022-03-07T19:43:21.195000000Z",
"max_time": "2022-07-04T11:47:49.707000000Z"
},
{
"market": "bibox-aaa-usdt-spot",
"min_time": "2021-12-01T11:11:20.656000000Z",
"max_time": "2022-03-01T18:14:06.507000000Z"
},
{
"market": "bibox-aave-btc-spot",
"min_time": "2022-03-07T19:47:10.014000000Z",
"max_time": "2022-07-04T11:47:56.717000000Z"
}
],
"next_page_token": "Ymlib3gtYWF2ZS1ldGgtc3BvdA",
"next_page_url": "https://api.coinmetrics.io/v4/catalog-v2/market-trades?api_key=<your_key>&page_size=3&next_page_token=Ymlib3gtYWF2ZS1ldGgtc3BvdA"
}Available market trades
Returns a list of markets with trades support along with the time ranges of available data.
Prediction markets are returned only when selected with type=event_contract, with explicit event contract markets, or with a prediction market exchange (kalshi, polymarket) alone. By default only live prediction markets are listed; see include_expired. Prediction markets without any trades are not listed.
curl --compressed "https://api.coinmetrics.io/v4/catalog-v2/market-trades?pretty=true&api_key=<your_key>"{
"data": [
{
"market": "bibox-1inch-usdt-spot",
"min_time": "2022-03-07T19:43:21.195000000Z",
"max_time": "2022-07-04T11:47:49.707000000Z"
},
{
"market": "bibox-aaa-usdt-spot",
"min_time": "2021-12-01T11:11:20.656000000Z",
"max_time": "2022-03-01T18:14:06.507000000Z"
},
{
"market": "bibox-aave-btc-spot",
"min_time": "2022-03-07T19:47:10.014000000Z",
"max_time": "2022-07-04T11:47:56.717000000Z"
}
],
"next_page_token": "Ymlib3gtYWF2ZS1ldGgtc3BvdA",
"next_page_url": "https://api.coinmetrics.io/v4/catalog-v2/market-trades?api_key=<your_key>&page_size=3&next_page_token=Ymlib3gtYWF2ZS1ldGgtc3BvdA"
}Authorizations
Query Parameters
Start of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If start_time is omitted, response will include time series from the earliest time available.
End of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If end_time is omitted, response will include time series up to the latest time available.
Timezone name for start_time and end_time timestamps.
This parameter does not modify the output times, which are always UTC.
Format is defined by TZ database.
"America/New_York"
Applies to prediction (event contract) markets only. By default only live prediction markets (with a known expiration in the future) are returned. Set to true to also include expired markets and markets with an unknown expiration. Only supported when prediction markets are selected (type=event_contract or a prediction market exchange alone) and without an explicit markets list (explicitly listed markets are returned regardless of expiration). Defaults to false.

